[
  {
    "chunk_id": 13,
    "chunk_type": "group",
    "human_description": "This is group 'AddressGroup' definition for report 'AddressesReport'. Group expression: $F{id}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"AddressGroup\">\n\t\t<expression>$F{id}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"frame\" uuid=\"a143642b-fbed-4962-bfbf-c9d9ecc24879\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"375\" height=\"21\" backcolor=\"#E0E0E0\">\n\t\t\t\t\t<element kind=\"textField\" uuid=\"fdadafcd-6622-4d05-89f8-31eeb46e68f9\" x=\"5\" y=\"3\" width=\"160\" height=\"15\" textAdjust=\"StretchHeight\">\n\t\t\t\t\t\t<expression>$F{firstName} + \" \" + $F{lastName} + \" (ID: \" + $F{id} + \")\"</expression>\n\t\t\t\t\t</element>\n\t\t\t\t\t<element kind=\"textField\" uuid=\"8e21ca6a-7eb9-4deb-8b36-9df9db27314c\" x=\"210\" y=\"3\" width=\"160\" height=\"15\" textAdjust=\"StretchHeight\" hTextAlign=\"Right\">\n\t\t\t\t\t\t<expression>$F{street} + \",\" + $F{city}</expression>\n\t\t\t\t\t</element>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"line\" uuid=\"89aa8875-ef41-4ade-8143-b12e79955216\" x=\"20\" y=\"0\" width=\"475\" height=\"1\" forecolor=\"#808080\">\n\t\t\t\t\t<pen lineWidth=\"0.5\" />\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"d248a006-9289-4a01-909d-81608bbdd09b\" x=\"20\" y=\"2\" width=\"70\" height=\"15\" style=\"Sans_Normal_Small\">\n\t\t\t\t\t<text>Total</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"c4c43f7e-2ce3-4070-818b-e64bb6c27977\" x=\"100\" y=\"2\" width=\"50\" height=\"15\" hTextAlign=\"Right\" style=\"Sans_Normal_Small\">\n\t\t\t\t\t<expression>$V{AddressGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"026b8161-7824-41f8-a86f-38d8c1321003\" x=\"255\" y=\"2\" width=\"100\" height=\"15\" textAdjust=\"StretchHeight\" pattern=\"#.00\" hTextAlign=\"Right\" style=\"Sans_Normal_Small\">\n\t\t\t\t\t<expression>$V{addressTotal}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'AddressesReport' group 'AddressGroup'",
    "metadata": {
      "group_name": "AddressGroup",
      "expression": "$F{id}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 13,
    "chunk_type": "group",
    "human_description": "This is group 'AddressGroup' definition for report 'AddressesReport'. Group expression: $F{id}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"AddressGroup\">\n\t\t<expression>$F{id}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"frame\" uuid=\"a143642b-fbed-4962-bfbf-c9d9ecc24879\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"375\" height=\"21\" backcolor=\"#E0E0E0\">\n\t\t\t\t\t<element kind=\"textField\" uuid=\"fdadafcd-6622-4d05-89f8-31eeb46e68f9\" x=\"5\" y=\"3\" width=\"160\" height=\"15\" textAdjust=\"StretchHeight\">\n\t\t\t\t\t\t<expression>$F{firstName} + \" \" + $F{lastName} + \" (ID: \" + $F{id} + \")\"</expression>\n\t\t\t\t\t</element>\n\t\t\t\t\t<element kind=\"textField\" uuid=\"8e21ca6a-7eb9-4deb-8b36-9df9db27314c\" x=\"210\" y=\"3\" width=\"160\" height=\"15\" textAdjust=\"StretchHeight\" hTextAlign=\"Right\">\n\t\t\t\t\t\t<expression>$F{street} + \",\" + $F{city}</expression>\n\t\t\t\t\t</element>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"line\" uuid=\"89aa8875-ef41-4ade-8143-b12e79955216\" x=\"20\" y=\"0\" width=\"475\" height=\"1\" forecolor=\"#808080\">\n\t\t\t\t\t<pen lineWidth=\"0.5\" />\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"d248a006-9289-4a01-909d-81608bbdd09b\" x=\"20\" y=\"2\" width=\"70\" height=\"15\" style=\"Sans_Normal_Small\">\n\t\t\t\t\t<text>Total</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"c4c43f7e-2ce3-4070-818b-e64bb6c27977\" x=\"100\" y=\"2\" width=\"50\" height=\"15\" hTextAlign=\"Right\" style=\"Sans_Normal_Small\">\n\t\t\t\t\t<expression>$V{AddressGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"026b8161-7824-41f8-a86f-38d8c1321003\" x=\"255\" y=\"2\" width=\"100\" height=\"15\" textAdjust=\"StretchHeight\" pattern=\"#.00\" hTextAlign=\"Right\" style=\"Sans_Normal_Small\">\n\t\t\t\t\t<expression>$V{addressTotal}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'AddressesReport' group 'AddressGroup'",
    "metadata": {
      "group_name": "AddressGroup",
      "expression": "$F{id}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  }
]